# $Revision: 1.11 $, $Date: 2010/06/06 08:37:47 $
#
# Conditional build:
%bcond_without	tests	# do not perform "make test"
#
%include	/usr/lib/rpm/macros.perl
%define		pdir	HTML
%define		pnam	TagReader
Summary:	HTML::TagReader - reading HTML/SGML/XML files by tags
Summary(pl.UTF-8):	HTML::TagReader - czytanie plików HTML/SGML/XML po znaczniku
Name:		perl-HTML-TagReader
Version:	1.10
Release:	2
# same as perl
License:	GPL v1+ or Artistic
Group:		Development/Languages/Perl
Source0:	http://www.cpan.org/modules/by-module/HTML/%{pdir}-%{pnam}-%{version}.tar.gz
# Source0-md5:	a8e725be2877306454aecf31132cee08
URL:		http://search.cpan.org/dist/HTML-TagReader/
BuildRequires:	perl-devel >= 1:5.8.0
BuildRequires:	rpm-perlprov >= 4.1-13
# for tr_imgaddsize
Requires:	perl-Image-Size >= 2.0
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
The module implements a fast and small object oriented way of
processing any kind of HTML/SGML/XML files by tag.

The getbytoken(0) is similar to while(<>) but instead of reading lines
it reads tags or tags and text.

HTML::TagReader makes it easy to keep track of the line number in a
file even though you are not reading the file by line. This important
if you want to implement error messages about HTML errors in your
code.

%description -l pl.UTF-8
Ten moduł implementuje szybką, obiektowo zorientowaną metodę
przetwarzania dowolnego rodzaju plików HTML/SGML/XML po znaczniku.

getbytoken(0) jest podobne do while(<>), ale zamiast czytania linii
czyta znaczniki lub znaczniki i tekst.

HTML::TagReader umożliwia łatwe śledzenie numeru linii w pliku nawet
jeśli nie jest on czytany po linii. Jest to ważne przy implementowaniu
komunikatów błędów dotyczących HTML-a.

%prep
%setup -q -n %{pdir}-%{pnam}-%{version}

%build
%{__perl} Makefile.PL \
	INSTALLDIRS=vendor

%{__make} \
	CC="%{__cc}" \
	OPTIMIZE="%{rpmcflags}"

%{?with_tests:%{__make} test}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc Changes README
%attr(755,root,root) %{_bindir}/tr_*
%{perl_vendorarch}/HTML/TagReader.pm
%dir %{perl_vendorarch}/auto/HTML/TagReader
%{perl_vendorarch}/auto/HTML/TagReader/TagReader.bs
%attr(755,root,root) %{perl_vendorarch}/auto/HTML/TagReader/TagReader.so
%{_mandir}/man[13]/*

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: perl-HTML-TagReader.spec,v $
Revision 1.11  2010/06/06 08:37:47  arekm
- release 2

Revision 1.10  2009/09/15 06:40:22  amateja
- updated to 1.10

Revision 1.9  2008/03/24 12:03:08  qboosh
- generic URL

Revision 1.8  2008-02-10 12:12:02  arekm
- rel 2

Revision 1.7  2008-01-10 08:38:38  glen
- add CC to %{__make}
  grep OPTIMIZE= perl-* -l|xargs grep -c CC=|grep :0|cut -d: -f1|xargs sed -i -e '/%{__make} \\$/a\\tCC="%{__cc}" \\'

Revision 1.6  2007-02-13 07:47:12  glen
- tabs in preamble

Revision 1.5  2007/02/12 00:49:34  baggins
- converted to UTF-8

Revision 1.4  2004/11/03 22:30:26  paladine
- formatting

Revision 1.3  2004/08/26 06:05:45  adamg
- updated to 1.08

Revision 1.2  2004/04/22 06:53:53  ankry
- license fixes and unification

Revision 1.1  2004/01/07 14:04:19  qboosh
- new
